Stage artifact version
curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/artifact-versions/stage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"metadata": {},
"type": "artifact-version",
"source": {
"type": "truefoundry",
"uri": "<string>"
},
"step": 0,
"name": "<string>",
"ml_repo": "<string>",
"version": 2,
"description": "<string>",
"version_alias": "<string>",
"run_id": "<string>"
}
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/artifact-versions/stage"
payload = { "manifest": {
"metadata": {},
"type": "artifact-version",
"source": {
"type": "truefoundry",
"uri": "<string>"
},
"step": 0,
"name": "<string>",
"ml_repo": "<string>",
"version": 2,
"description": "<string>",
"version_alias": "<string>",
"run_id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manifest: {
metadata: {},
type: 'artifact-version',
source: {type: 'truefoundry', uri: '<string>'},
step: 0,
name: '<string>',
ml_repo: '<string>',
version: 2,
description: '<string>',
version_alias: '<string>',
run_id: '<string>'
}
})
};
fetch('https://{controlPlaneURL}/api/svc/v1/artifact-versions/stage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"storage_root": "<string>",
"artifact_id": "<string>"
}Artifacts
Stage artifact version
Stage an artifact version for upload, returning storage location and version ID.
POST
/
api
/
svc
/
v1
/
artifact-versions
/
stage
Stage artifact version
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Manifest containing metadata for the artifact to be staged (model or generic artifact)
- ArtifactManifest
- ModelManifest
- AgentSkillManifest
Show child attributes
Show child attributes
Response
200 - application/json
Staging information including version ID, storage root, and artifact ID
Was this page helpful?
⌘I